jQuery(document).ready(function($){
	var Slinkee_%id% = (function(){
		// LOCAL GLOBAL OBJECT
		var Slinkee = {};
		
		// GLOBAL FUNCTIONS
		Slinkee.globals = (function(){
			if (typeof stacks.Slinkee == 'undefined') {
				stacks.Slinkee = {};
				
				// cleanup
				stacks.Slinkee.cleanup =  function(id) {
					$('#' + id + ' .SlinkeeList .SlinkeeItem .SlinkeeLink .SlinkeeDescription:contains("Enter description here.")').remove();
					$('#' + id + ' .SlinkeeList .SlinkeeItem .SlinkeeDropDown > .empty').parent().remove();
				};// end stacks.Slinkee.cleanup
				
				// style
				stacks.Slinkee.styles = function(id){
					$('#' + id + ' .SlinkeeList .SlinkeeItem:first').css('border-top-width','0');
				};// end stacks.Slinkee.styles
				
				// corners
				stacks.Slinkee.corners = function(id){
					if ($('#' + id + ' .SlinkeeList').css('border-radius') != '0px') {
						$('#' + id + ' .SlinkeeList .SlinkeeItem:first').add('.SlinkeeLink').addClass('SlinkeeRadTop');
						$('#' + id + ' .SlinkeeList .SlinkeeItem:last .SlinkeeDropDown').addClass('SlinkeeRadBottom');
						if ($('#' + id + ' .SlinkeeList').is(':not(.SlinkeeOpen)')) $('#' + id + ' .SlinkeeList .SlinkeeItem:last').add('.SlinkeeLink').addClass('SlinkeeRadBottom');
						else $('#' + id + ' .SlinkeeList .SlinkeeItem:last').add('.SlinkeeLink').removeClass('SlinkeeRadBottom');
						if ($('#' + id + ' .SlinkeeList .SlinkeeItem').length <= 1) $('#' + id + ' .SlinkeeList .SlinkeeItem').add('.SlinkeeLink').removeClass('SlinkeeRadTop SlinkeeRadBottom').addClass('SlinkeeRad');
					}
				};// end stacks.Slinkee.corners
				
				// hovering
				stacks.Slinkee.hovering = function(id){
					var that = $('#' + id + ' .SlinkeeList .SlinkeeItem');
					$('#' + id + ' .SlinkeeList .SlinkeeItem').hover(function(){
						that.removeClass('SlinkeeHover');
						$(this).addClass('SlinkeeHover');
					},function(){
						$(this).removeClass('SlinkeeHover');
					});
				};// end stacks.Slinkee.hovering
				
				// clicking
				stacks.Slinkee.clicking = function(id,rad){
					var that = $('#' + id + ' .SlinkeeList .SlinkeeItem'),
						thatLast = $('#' + id + ' .SlinkeeList .SlinkeeItem .SlinkeeLink:last');
					$('#' + id + ' .SlinkeeList .SlinkeeItem .SlinkeeLink').click(function(event){
						if ($(this).parent().is(':not(.SlinkeeOpen)') && ($(this).attr('href') == '' || $(this).parent().find('.SlinkeeDropDown').length)) {
							event.preventDefault();
							that.removeClass('SlinkeeOpen');
							that.find('.SlinkeeDescription, .SlinkeeDropDown').slideUp();
							thatLast.css({'border-bottom-left-radius':rad + 'px','border-bottom-right-radius':rad + 'px'})
							$(this).parent().addClass('SlinkeeOpen');
							$(this).css({'border-bottom-left-radius':'0','border-bottom-right-radius':'0'});
							$(this).parent().find('.SlinkeeDescription, .SlinkeeDropDown').filter(':not(:animated)').slideDown().css('display','block');
						} else if ($(this).parent().is('.SlinkeeOpen') && $(this).attr('href') == '') {
							event.preventDefault();
							$(this).parent().removeClass('SlinkeeOpen');
							$(this).parent().find('.SlinkeeDescription, .SlinkeeDropDown').slideUp();
						} else event.stopImmediatePropagation();
					});
				};// end stacks.Slinkee.clicking

			}// end if stacks.Slinkee undefined

		})();// end Slinkee.globals
		
		// LOCAL VARIABLES
		var thisID = '%id%',
			thisRAD = '%id=menuCorner%';
		
		// FUNCTION CALLS

		// stacks.Slinkee.cleanup
		stacks.Slinkee.cleanup(thisID);
		
		// stacks.Slinkee.styles
		stacks.Slinkee.styles(thisID);

		// stacks.Slinkee.corners
		stacks.Slinkee.corners(thisID);
		
		// stacks.Slinkee.hovering
		stacks.Slinkee.hovering(thisID);
		
		// stacks.Slinkee.clicking
		stacks.Slinkee.clicking(thisID,thisRAD);

	})();// end Slinkee_%id%
});

// Added by WHW, 26th October 2016, as part of the 2.0 update and move away from 'repeats'

%[if %("%id=arrow%" == "true")% ]%
// If arrows have been enabled
jQuery(document).ready(function(jQuery){
	jQuery('#%id% .SlinkeeItem').prepend('<div class="SlinkeeArrow">%id=icon_markup%</div>');
});
%[endif]%

%[if %("%id=dropGrad%" == "true")% ]%
// If the gradient has been enabled
jQuery(document).ready(function(jQuery){
	jQuery('#%id% .SlinkeeDropDown').addClass('SlinkeeDropGradient');
});
%[endif]%